How to Fix ‘This Plugin is Not Supported’ Error

This Plugin is Not Supported

Numerous users have reported receiving the message “This plugin is not supported” when attempting to watch media assets such as video, audio, and calendar on Google Chrome. As far as we know, this issue is primarily caused by obsolete plugins on earlier website versions. However, other factors, such as cache memory, could be responsible for this issue.

We are here to assist you if you are experiencing a similar problem. This article will instruct you on how to resolve ‘This Plugin is Not Supported’ problem on the Chrome browser.

What does “This Plugin is Not Supported” Mean?

Historically, web webpages were created using HTML4. As a result, plugins were required to operate videos and audio and make the website interactive. Now, Chrome uses HTML5 exclusively. As a result, it has become autonomous from plugins and no longer supports multiple plugins.

After upgrading to a new version, chrome discontinued support for plugins such as NPAPI, Adobe Flash, ActiveX, and Silverlight. However, some older websites still rely on these plugins for content loading. Therefore, Google Chrome displays the message “This plugin is not supported” when their content fails to load.

Fix – This Plugin is Not Supported on Google Chrome

Depending on the nature of the problem, you could try various solutions to resolve it. For example, if the website is written in HTML5 and you still see ‘This Plugin is Not Supported’ Chrome Windows 10 issue, cache and cookies may be to blame.

To check if the cache & cookies were causing the error, follow these steps:

  • Open Google Chrome. On the upper right side, tap three dots and select New Incognito Window.

  • Enter the URL of the website, which displayed a plugin error. If the website successfully loads the plugin, caching and cookies likely cause the ‘This Plugin Not Supported’ issue.

In that case, you can start clearing your browser cache & cookies.

See also  How to Fix Network Adapter Missing in Device Manager

Let’s go through all possible fixes to solve the plugin issue.

Clear Browsing Data

Some cache and cookies corruption will prevent your web pages from using a plugin. Therefore, media material that requires the plugin cannot be loaded. After clearing your Chrome browser’s browsing history, the data causing the issue is gone, resolving the plugin error.

  • Open Google Chrome. Hit Ctrl + H (Windows) or Command + Y (Mac) to open the browser history.
  • On the left side, tap on Clear browsing data.

  • Next, from the pop-up, drop the menu next to the Time range and choose All time.

  • Choose the box next to all items.

  • Tap Clear data.

Update Google Chrome

An outdated version of Google Chrome could prevent plugins from loading on a website. You may encounter This Plugin is Not Supported error message if your browser has yet to be updated recently.

The issue with the unsupported plugin may be resolved by updating the Google Chrome browser. To upgrade your Google Chrome browser on any operating system, please follow the instructions outlined below:

  • Open Google Chrome. On the upper right side, tap on three dots and select Help.

  • Then choose, About Google Chrome.

  • Google Chrome will update to latest version if available.

Add Extensions

You can add an Internet Explorer tab extension if this problem occurs when accessing outdated websites. IE Tab imitates Internet Explorer (IE) versions IE7 through IE11. With the IE Tab extension, older web plugins such as ActiveX, Silverlight, and Java can be accessed. Consequently, you will have access to these earlier versions of web pages.

To browse websites using Flash player plugins, you can also add Google Chrome extensions such as Flash Player Emulator 2022.

Using the Chrome Web Store, you can get both the IE Tab and Flash Player Emulator 2022 extensions for Google Chrome.

  • Open Google Chrome, and now go to the Chrome Web Store.
  • You’ll see a search bar on the top left of the page. For example, search for IE Tab or Flash Player Emulator 2022.
See also  How to Add Trusted Sites in Google Chrome

  • Next, open IE Tab or Flash Player Emulator 2022 extension.
  • Tap on the Add to Chrome.

  • You’ll see a popup, tap on Add Extension.

Add IE Tab

If the IE Tab extension were installed, you would be taken to the Windows documentation page. For Mac, you must perform the following steps for a one-time configuration:

  • First, tap on Sign in with Google.

  • Choose any version of Internet Explorer (IE).
  • Tap on GO on the Launch IE tab and enter your URL section.

To use the extension, follow these steps:

  • Choose the extension icon at the top right of the screen and Tap on the IE Tab.

  • You will see an older Internet Explorer browser version within the Chrome tab. Enter your URL into the new address bar. Ensure that you are not using Chrome’s address bar.

  • To change the IE version, click on the IE version at the top left side of the inlay browser.
  • Choose a different version from the dropdown.

ALSO SEE: Scan QR Code on Phone Screen

It allows you to browse outdated web pages to resolve unsupported plugin errors. If web pages continue to display This Plugin is Not Supported 2022 issue, try other versions of Internet Explorer.

Add Flash Player Emulator 2022

If you opt to install the Adobe Flash Player Emulator 2022, Chrome will launch a new tab with information about this extension. To determine if the extension is running properly, scroll down and tap Start Flash Emulator.

Once the extension has been added, you can access the flash content that previously displayed a plugin error. You do not need to reconfigure it or activate the extension. The installation and usage of this extension are identical on Mac and Windows.

Leave a Reply

Your email address will not be published. Required fields are marked *